Bug 82926 - [ipw] ipw(4) doesn't seem to do WPA, also leaves entries in the scan table
Summary: [ipw] ipw(4) doesn't seem to do WPA, also leaves entries in the scan table
Status: Open
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: Unspecified
Hardware: Any Any
: Normal Affects Only Me
Assignee: Andrew Thompson
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-07-03 14:30 UTC by darius
Modified: 2018-05-28 19:43 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description darius 2005-07-03 14:30:06 UTC
The ipw driver doesn't appear to do WPA with the Linksys WRT54G. I can see the AP, and it is in WPA mode, however running wpa_supplicant doesn't get it associated. It also leaves many entries for the same AP in the scan table. I have the latest firmware for the AP (4.00.7)

ipw0: <Intel(R) PRO/Wireless 2100 MiniPCI> mem 0xfaffc000-0xfaffcfff irq 9 at device 3.0 on pci2
ipw0: Ethernet address: 00:04:23:a4:12:74
ipw0: [GIANT-LOCKED]

I have the wlan, wlan_wep and wlan_tkip modules loaded too. Interestingly the duplicate AP entries in the scan output only occur when wpa_supplicant has been running.


I have the following wpa_supplicant.conf..
# allow frontend (e.g., wpa_cli) to be used by all users in 'wheel' group
ctrl_interface=/var/run/wpa_supplicant
ctrl_interface_group=wheel
ap_scan=1

network={
        ssid="sarah"
        key_mgmt=WPA-PSK
        pairwise=TKIP
        psk="somepassword"
}

network={
        ssid="dons"
        key_mgmt=WPA-PSK
        pairwise=TKIP
        psk="somepassword"
        proto=WPA
}

Here is the -d output from wpa_supplicant

bind(PF_UNIX): Address already in use
Jun 29 21:07:43.670319: Initializing interface 'ipw0' conf '/usr/local/etc/wpa_supplicant.conf' driver 'bsd'
Jun 29 21:07:43.670466: Configuration file '/usr/local/etc/wpa_supplicant.conf' -> '/usr/local/etc/wpa_supplicant.conf'
Jun 29 21:07:43.670475: Reading configuration file '/usr/local/etc/wpa_supplicant.conf'
Jun 29 21:07:43.670528: ctrl_interface='/var/run/wpa_supplicant'
Jun 29 21:07:43.671050: ctrl_interface_group=0 (from group name 'wheel')
Jun 29 21:07:43.671078: ap_scan=1
Jun 29 21:07:43.749563: Line 11: removed CCMP from group cipher list since it was not allowed for pairwise cipher
Jun 29 21:07:43.824867: Line 19: removed CCMP from group cipher list since it was not allowed for pairwise cipher
Jun 29 21:07:43.824929: Priority group 0
Jun 29 21:07:43.824937:    id=0 ssid='sarah'
Jun 29 21:07:43.824943:    id=1 ssid='dons'
Jun 29 21:07:43.824953: Initializing interface (2) 'ipw0'
Jun 29 21:07:43.825366: Own MAC address: 00:04:23:a4:12:74
Jun 29 21:07:43.825378: wpa_driver_bsd_set_wpa: enabled=1
Jun 29 21:07:43.825391: wpa_driver_bsd_del_key: keyidx=0
Jun 29 21:07:43.825402: wpa_driver_bsd_del_key: keyidx=1
Jun 29 21:07:43.825411: wpa_driver_bsd_del_key: keyidx=2
Jun 29 21:07:43.825421: wpa_driver_bsd_del_key: keyidx=3
Jun 29 21:07:43.825429: wpa_driver_bsd_set_countermeasures: enabled=0
Jun 29 21:07:43.825438: wpa_driver_bsd_set_drop_unencrypted: enabled=1
Jun 29 21:07:43.825451: Setting scan request: 0 sec 100000 usec
Jun 29 21:07:43.825480: Using existing control interface directory.
Jun 29 21:07:43.825895: ctrl_iface exists, but does not allow connections - assuming it was leftover from forced program termination
Jun 29 21:07:43.825991: Successfully replaced leftover ctrl_iface socket '/var/run/wpa_supplicant/ipw0'
Jun 29 21:07:43.926583: Starting AP scan (broadcast SSID)
Jun 29 21:07:44.014472: Received 0 bytes of scan results (42 BSSes)
Jun 29 21:07:44.014489: Scan results: 42
Jun 29 21:07:44.014519: Selecting BSS from priority group 0
Jun 29 21:07:44.014526: 0: 00:13:10:9b:52:d4 ssid='dons' wpa_ie_len=26 rsn_ie_len=0
Jun 29 21:07:44.014537:    skip - SSID mismatch
Jun 29 21:07:44.014546:    selected
Jun 29 21:07:44.014562: Trying to associate with 00:13:10:9b:52:d4 (SSID='dons' freq=2437 MHz)
Jun 29 21:07:44.014570: Cancelling scan request
Jun 29 21:07:44.014577: Automatic auth_alg selection: 0x1
Jun 29 21:07:44.014590: WPA: using IEEE 802.11i/D3.0
Jun 29 21:07:44.014597: WPA: Selected cipher suites: group 8 pairwise 8 key_mgmt 2
Jun 29 21:07:44.014606: WPA: using GTK TKIP
Jun 29 21:07:44.014612: WPA: using PTK TKIP
Jun 29 21:07:44.014619: WPA: using KEY_MGMT WPA-PSK
Jun 29 21:07:44.014626: WPA: Own WPA IE - hexdump(len=24): dd 16 00 50 f2 01 01 00 00 50 f2 02 01 00 00 50 f2 02 01 00 00 50 f2 02
Jun 29 21:07:44.014644: No keys have been configured - skip key clearing
Jun 29 21:07:44.014651: wpa_driver_bsd_set_drop_unencrypted: enabled=1
Jun 29 21:07:44.014661: wpa_driver_bsd_associate: ssid 'dons' wpa ie len 24 pairwise 2 group 2 key mgmt 1
Jun 29 21:07:44.014674: wpa_driver_bsd_associate: set PRIVACY 1
Jun 29 21:07:44.014692: Setting authentication timeout: 5 sec 0 usec
Jun 29 21:07:44.568959: Received 0 bytes of scan results (43 BSSes)
Jun 29 21:07:44.569157: Scan results: 43
Jun 29 21:07:44.580969: Selecting BSS from priority group 0
Jun 29 21:07:44.581108: 0: 00:13:10:9b:52:d4 ssid='dons' wpa_ie_len=26 rsn_ie_len=0
Jun 29 21:07:44.581267:    skip - SSID mismatch
Jun 29 21:07:44.581378:    selected
Jun 29 21:07:44.581578: Trying to associate with 00:13:10:9b:52:d4 (SSID='dons' freq=2437 MHz)
Jun 29 21:07:44.581684: Cancelling scan request
Jun 29 21:07:44.581778: Automatic auth_alg selection: 0x1
Jun 29 21:07:44.581957: WPA: using IEEE 802.11i/D3.0
Jun 29 21:07:44.582055: WPA: Selected cipher suites: group 8 pairwise 8 key_mgmt 2
Jun 29 21:07:44.582177: WPA: using GTK TKIP
Jun 29 21:07:44.582275: WPA: using PTK TKIP
Jun 29 21:07:44.582373: WPA: using KEY_MGMT WPA-PSK
Jun 29 21:07:44.582466: WPA: Own WPA IE - hexdump(len=24): dd 16 00 50 f2 01 01 00 00 50 f2 02 01 00 00 50 f2 02 01 00 00 50 f2 02
Jun 29 21:07:44.582780: No keys have been configured - skip key clearing
Jun 29 21:07:44.588636: wpa_driver_bsd_set_drop_unencrypted: enabled=1
Jun 29 21:07:44.588819: wpa_driver_bsd_associate: ssid 'dons' wpa ie len 24 pairwise 2 group 2 key mgmt 1
Jun 29 21:07:44.589007: wpa_driver_bsd_associate: set PRIVACY 1
Jun 29 21:07:44.589259: Setting authentication timeout: 5 sec 0 usec
Jun 29 21:07:45.080494: Received 0 bytes of scan results (44 BSSes)
Jun 29 21:07:45.080548: Scan results: 44
Jun 29 21:07:45.080606: Selecting BSS from priority group 0
Jun 29 21:07:45.080620: 0: 00:13:10:9b:52:d4 ssid='dons' wpa_ie_len=26 rsn_ie_len=0
Jun 29 21:07:45.080644:    skip - SSID mismatch
Jun 29 21:07:45.080659:    selected
Jun 29 21:07:45.080684: Trying to associate with 00:13:10:9b:52:d4 (SSID='dons' freq=2437 MHz)
Jun 29 21:07:45.080698: Cancelling scan request
Jun 29 21:07:45.080711: Automatic auth_alg selection: 0x1
Jun 29 21:07:45.080742: WPA: using IEEE 802.11i/D3.0
Jun 29 21:07:45.080755: WPA: Selected cipher suites: group 8 pairwise 8 key_mgmt 2
Jun 29 21:07:45.080770: WPA: using GTK TKIP
Jun 29 21:07:45.080787: WPA: using PTK TKIP
Jun 29 21:07:45.080800: WPA: using KEY_MGMT WPA-PSK
Jun 29 21:07:45.080814: WPA: Own WPA IE - hexdump(len=24): dd 16 00 50 f2 01 01 00 00 50 f2 02 01 00 00 50 f2 02 01 00 00 50 f2 02
Jun 29 21:07:45.080848: No keys have been configured - skip key clearing
Jun 29 21:07:45.080861: wpa_driver_bsd_set_drop_unencrypted: enabled=1
Jun 29 21:07:45.080881: wpa_driver_bsd_associate: ssid 'dons' wpa ie len 24 pairwise 2 group 2 key mgmt 1
Jun 29 21:07:45.080911: wpa_driver_bsd_associate: set PRIVACY 1
Jun 29 21:07:45.080946: Setting authentication timeout: 5 sec 0 usec
Jun 29 21:07:45.601041: Received 0 bytes of scan results (45 BSSes)
Jun 29 21:07:45.601177: Scan results: 45
Jun 29 21:07:45.601317: Selecting BSS from priority group 0
Jun 29 21:07:45.601377: 0: 00:13:10:9b:52:d4 ssid='dons' wpa_ie_len=26 rsn_ie_len=0
Jun 29 21:07:45.601436:    skip - SSID mismatch
Jun 29 21:07:45.601480:    selected
Jun 29 21:07:45.601543: Trying to associate with 00:13:10:9b:52:d4 (SSID='dons' freq=2437 MHz)
Jun 29 21:07:45.601586: Cancelling scan request
Jun 29 21:07:45.601621: Automatic auth_alg selection: 0x1
Jun 29 21:07:45.601696: WPA: using IEEE 802.11i/D3.0
Jun 29 21:07:45.601732: WPA: Selected cipher suites: group 8 pairwise 8 key_mgmt 2
Jun 29 21:07:45.601776: WPA: using GTK TKIP
Jun 29 21:07:45.601815: WPA: using PTK TKIP
Jun 29 21:07:45.601850: WPA: using KEY_MGMT WPA-PSK
Jun 29 21:07:45.601886: WPA: Own WPA IE - hexdump(len=24): dd 16 00 50 f2 01 01 00 00 50 f2 02 01 00 00 50 f2 02 01 00 00 50 f2 02
Jun 29 21:07:45.601988: No keys have been configured - skip key clearing
Jun 29 21:07:45.602024: wpa_driver_bsd_set_drop_unencrypted: enabled=1
Jun 29 21:07:45.602076: wpa_driver_bsd_associate: ssid 'dons' wpa ie len 24 pairwise 2 group 2 key mgmt 1
Jun 29 21:07:45.602151: wpa_driver_bsd_associate: set PRIVACY 1
Jun 29 21:07:45.602249: Setting authentication timeout: 5 sec 0 usec
Jun 29 21:07:46.135350: Received 0 bytes of scan results (46 BSSes)
Jun 29 21:07:46.135377: Scan results: 46
Jun 29 21:07:46.135407: Selecting BSS from priority group 0
Jun 29 21:07:46.135414: 0: 00:13:10:9b:52:d4 ssid='dons' wpa_ie_len=26 rsn_ie_len=0
Jun 29 21:07:46.135425:    skip - SSID mismatch
Jun 29 21:07:46.135433:    selected
Jun 29 21:07:46.135445: Trying to associate with 00:13:10:9b:52:d4 (SSID='dons' freq=2437 MHz)
Jun 29 21:07:46.135453: Cancelling scan request
Jun 29 21:07:46.135460: Automatic auth_alg selection: 0x1
Jun 29 21:07:46.135473: WPA: using IEEE 802.11i/D3.0
Jun 29 21:07:46.135480: WPA: Selected cipher suites: group 8 pairwise 8 key_mgmt 2
Jun 29 21:07:46.135489: WPA: using GTK TKIP
Jun 29 21:07:46.135495: WPA: using PTK TKIP
Jun 29 21:07:46.135502: WPA: using KEY_MGMT WPA-PSK
Jun 29 21:07:46.135509: WPA: Own WPA IE - hexdump(len=24): dd 16 00 50 f2 01 01 00 00 50 f2 02 01 00 00 50 f2 02 01 00 00 50 f2 02
Jun 29 21:07:46.135527: No keys have been configured - skip key clearing
Jun 29 21:07:46.135534: wpa_driver_bsd_set_drop_unencrypted: enabled=1
Jun 29 21:07:46.135763: wpa_driver_bsd_associate: ssid 'dons' wpa ie len 24 pairwise 2 group 2 key mgmt 1
Jun 29 21:07:46.135780: wpa_driver_bsd_associate: set PRIVACY 1
Jun 29 21:07:46.135800: Setting authentication timeout: 5 sec 0 usec
Jun 29 21:07:46.666038: Received 0 bytes of scan results (47 BSSes)
Jun 29 21:07:46.666199: Scan results: 47
Jun 29 21:07:46.666342: Selecting BSS from priority group 0
Jun 29 21:07:46.666382: 0: 00:13:10:9b:52:d4 ssid='dons' wpa_ie_len=26 rsn_ie_len=0
Jun 29 21:07:46.666441:    skip - SSID mismatch
Jun 29 21:07:46.666488:    selected
Jun 29 21:07:46.666551: Trying to associate with 00:13:10:9b:52:d4 (SSID='dons' freq=2437 MHz)
Jun 29 21:07:46.666595: Cancelling scan request
Jun 29 21:07:46.666630: Automatic auth_alg selection: 0x1
Jun 29 21:07:46.666701: WPA: using IEEE 802.11i/D3.0
Jun 29 21:07:46.666737: WPA: Selected cipher suites: group 8 pairwise 8 key_mgmt 2
Jun 29 21:07:46.666784: WPA: using GTK TKIP
Jun 29 21:07:46.666823: WPA: using PTK TKIP
Jun 29 21:07:46.666859: WPA: using KEY_MGMT WPA-PSK
Jun 29 21:07:46.666894: WPA: Own WPA IE - hexdump(len=24): dd 16 00 50 f2 01 01 00 00 50 f2 02 01 00 00 50 f2 02 01 00 00 50 f2 02
Jun 29 21:07:46.666996: No keys have been configured - skip key clearing
Jun 29 21:07:46.667032: wpa_driver_bsd_set_drop_unencrypted: enabled=1
Jun 29 21:07:46.667087: wpa_driver_bsd_associate: ssid 'dons' wpa ie len 24 pairwise 2 group 2 key mgmt 1
Jun 29 21:07:46.667162: wpa_driver_bsd_associate: set PRIVACY 1
Jun 29 21:07:46.667286: Setting authentication timeout: 5 sec 0 usec
Jun 29 21:07:47.201346: Received 0 bytes of scan results (48 BSSes)
Jun 29 21:07:47.201374: Scan results: 48
Jun 29 21:07:47.201404: Selecting BSS from priority group 0
Jun 29 21:07:47.201411: 0: 00:13:10:9b:52:d4 ssid='dons' wpa_ie_len=26 rsn_ie_len=0
Jun 29 21:07:47.201422:    skip - SSID mismatch
Jun 29 21:07:47.201430:    selected
Jun 29 21:07:47.201442: Trying to associate with 00:13:10:9b:52:d4 (SSID='dons' freq=2437 MHz)
Jun 29 21:07:47.201450: Cancelling scan request
Jun 29 21:07:47.201456: Automatic auth_alg selection: 0x1
Jun 29 21:07:47.201470: WPA: using IEEE 802.11i/D3.0
Jun 29 21:07:47.201476: WPA: Selected cipher suites: group 8 pairwise 8 key_mgmt 2
Jun 29 21:07:47.201485: WPA: using GTK TKIP
Jun 29 21:07:47.201492: WPA: using PTK TKIP
Jun 29 21:07:47.201498: WPA: using KEY_MGMT WPA-PSK
Jun 29 21:07:47.201505: WPA: Own WPA IE - hexdump(len=24): dd 16 00 50 f2 01 01 00 00 50 f2 02 01 00 00 50 f2 02 01 00 00 50 f2 02
Jun 29 21:07:47.201523: No keys have been configured - skip key clearing
Jun 29 21:07:47.201530: wpa_driver_bsd_set_drop_unencrypted: enabled=1
Jun 29 21:07:47.201540: wpa_driver_bsd_associate: ssid 'dons' wpa ie len 24 pairwise 2 group 2 key mgmt 1
Jun 29 21:07:47.201555: wpa_driver_bsd_associate: set PRIVACY 1
Jun 29 21:07:47.201574: Setting authentication timeout: 5 sec 0 usec
Jun 29 21:07:47.737728: Received 0 bytes of scan results (49 BSSes)
Jun 29 21:07:47.737816: Scan results: 49
Jun 29 21:07:47.737909: Selecting BSS from priority group 0
Jun 29 21:07:47.737932: 0: 00:13:10:9b:52:d4 ssid='dons' wpa_ie_len=26 rsn_ie_len=0
Jun 29 21:07:47.737969:    skip - SSID mismatch
Jun 29 21:07:47.737997:    selected
Jun 29 21:07:47.738472: Trying to associate with 00:13:10:9b:52:d4 (SSID='dons' freq=2437 MHz)
Jun 29 21:07:47.738504: Cancelling scan request
Jun 29 21:07:47.738526: Automatic auth_alg selection: 0x1
Jun 29 21:07:47.738577: WPA: using IEEE 802.11i/D3.0
Jun 29 21:07:47.738600: WPA: Selected cipher suites: group 8 pairwise 8 key_mgmt 2
Jun 29 21:07:47.738628: WPA: using GTK TKIP
Jun 29 21:07:47.738651: WPA: using PTK TKIP
Jun 29 21:07:47.738674: WPA: using KEY_MGMT WPA-PSK
Jun 29 21:07:47.738697: WPA: Own WPA IE - hexdump(len=24): dd 16 00 50 f2 01 01 00 00 50 f2 02 01 00 00 50 f2 02 01 00 00 50 f2 02
Jun 29 21:07:47.738761: No keys have been configured - skip key clearing
Jun 29 21:07:47.738986: wpa_driver_bsd_set_drop_unencrypted: enabled=1
Jun 29 21:07:47.739041: wpa_driver_bsd_associate: ssid 'dons' wpa ie len 24 pairwise


Here is the output of the kernel with +debug +auth +scan 80211 debugging
Jun 29 21:07:40 inchoate sudo:   darius : TTY=ttyp4 ; PWD=/usr/src/tools/tools/ath ; USER=root ; COMMAND=./80211debug +debug +auth +scan
Jun 29 21:07:40 inchoate kernel: ipw0: notify scan done
Jun 29 21:07:40 inchoate kernel: ipw0: received probe_resp from 00:13:10:9b:52:d4 rssi 58
Jun 29 21:07:40 inchoate kernel: [00:13:10:9b:52:d4] probe_resp on chan 6 (bss chan 6) "dons"
Jun 29 21:07:40 inchoate kernel: ipw0: notify scan done
Jun 29 21:07:41 inchoate kernel: ipw0: received probe_resp from 00:13:10:9b:52:d4 rssi 48
Jun 29 21:07:41 inchoate kernel: [00:13:10:9b:52:d4] probe_resp on chan 6 (bss chan 6) "dons"
Jun 29 21:07:41 inchoate kernel: ipw0: notify scan done
Jun 29 21:07:41 inchoate kernel: ipw0: received probe_resp from 00:13:10:9b:52:d4 rssi 48
Jun 29 21:07:41 inchoate kernel: [00:13:10:9b:52:d4] probe_resp on chan 6 (bss chan 6) "dons"
Jun 29 21:07:42 inchoate kernel: ipw0: notify scan done
Jun 29 21:07:42 inchoate kernel: ipw0: received probe_resp from 00:13:10:9b:52:d4 rssi 51
Jun 29 21:07:42 inchoate kernel: [00:13:10:9b:52:d4] probe_resp on chan 6 (bss chan 6) "dons"
Jun 29 21:07:42 inchoate kernel: ipw0: notify scan done
Jun 29 21:07:42 inchoate kernel: ipw0: received probe_resp from 00:13:10:9b:52:d4 rssi 50
Jun 29 21:07:42 inchoate kernel: [00:13:10:9b:52:d4] probe_resp on chan 6 (bss chan 6) "dons"
Jun 29 21:07:43 inchoate kernel: ipw0: notify scan done
Jun 29 21:07:43 inchoate kernel: ipw0: received probe_resp from 00:13:10:9b:52:d4 rssi 50
Jun 29 21:07:43 inchoate kernel: [00:13:10:9b:52:d4] probe_resp on chan 6 (bss chan 6) "dons"
Jun 29 21:07:43 inchoate kernel: ipw0: notify scan done
Jun 29 21:07:43 inchoate kernel: ipw0: received probe_resp from 00:13:10:9b:52:d4 rssi 53
Jun 29 21:07:43 inchoate kernel: [00:13:10:9b:52:d4] probe_resp on chan 6 (bss chan 6) "dons"
Jun 29 21:07:43 inchoate sudo:   darius : TTY=ttyp3 ; PWD=/usr/src/tools/tools/ath ; USER=root ; COMMAND=/usr/sbin/wpa_supplicant -t -d -i ipw0 -c /usr/local/etc/wpa_supplicant.conf -D bsd
Jun 29 21:07:44 inchoate kernel: ipw0: notify scan done
Jun 29 21:07:44 inchoate kernel: ipw0: received probe_resp from 00:13:10:9b:52:d4 rssi 53
Jun 29 21:07:44 inchoate kernel: [00:13:10:9b:52:d4] new probe_resp on chan 6 (bss chan 6) "dons"
Jun 29 21:07:44 inchoate kernel: [00:13:10:9b:52:d4] caps 0x411 bintval 100 erp 0x0
Jun 29 21:07:44 inchoate kernel: ipw0: notify scan done
Jun 29 21:07:44 inchoate kernel: ipw0: received probe_resp from 00:13:10:9b:52:d4 rssi 41
Jun 29 21:07:44 inchoate kernel: [00:13:10:9b:52:d4] new probe_resp on chan 6 (bss chan 6) "dons"
Jun 29 21:07:44 inchoate kernel: [00:13:10:9b:52:d4] caps 0x411 bintval 100 erp 0x0
Jun 29 21:07:45 inchoate kernel: ipw0: notify scan done
Jun 29 21:07:45 inchoate kernel: ipw0: received probe_resp from 00:13:10:9b:52:d4 rssi 45
Jun 29 21:07:45 inchoate kernel: [00:13:10:9b:52:d4] new probe_resp on chan 6 (bss chan 6) "dons"
Jun 29 21:07:45 inchoate kernel: [00:13:10:9b:52:d4] caps 0x411 bintval 100 erp 0x0
Jun 29 21:07:45 inchoate kernel: ipw0: notify scan done
Jun 29 21:07:45 inchoate kernel: ipw0: received probe_resp from 00:13:10:9b:52:d4 rssi 52
Jun 29 21:07:45 inchoate kernel: [00:13:10:9b:52:d4] new probe_resp on chan 6 (bss chan 6) "dons"
Jun 29 21:07:45 inchoate kernel: [00:13:10:9b:52:d4] caps 0x411 bintval 100 erp 0x0
Jun 29 21:07:45 inchoate kernel: ipw0: received beacon from 00:13:10:9b:52:d4 rssi 50
Jun 29 21:07:46 inchoate kernel: ipw0: notify scan done
Jun 29 21:07:46 inchoate kernel: ipw0: received probe_resp from 00:13:10:9b:52:d4 rssi 52
Jun 29 21:07:46 inchoate kernel: [00:13:10:9b:52:d4] new probe_resp on chan 6 (bss chan 6) "dons"
Jun 29 21:07:46 inchoate kernel: [00:13:10:9b:52:d4] caps 0x411 bintval 100 erp 0x0
Jun 29 21:07:46 inchoate kernel: ipw0: notify scan done
Jun 29 21:07:46 inchoate kernel: ipw0: received probe_resp from 00:13:10:9b:52:d4 rssi 61
Jun 29 21:07:46 inchoate kernel: [00:13:10:9b:52:d4] new probe_resp on chan 6 (bss chan 6) "dons"
Jun 29 21:07:46 inchoate kernel: [00:13:10:9b:52:d4] caps 0x411 bintval 100 erp 0x0
Jun 29 21:07:47 inchoate kernel: ipw0: notify scan done
Jun 29 21:07:47 inchoate kernel: ipw0: received probe_resp from 00:13:10:9b:52:d4 rssi 57
Jun 29 21:07:47 inchoate kernel: [00:13:10:9b:52:d4] new probe_resp on chan 6 (bss chan 6) "dons"
Jun 29 21:07:47 inchoate kernel: [00:13:10:9b:52:d4] caps 0x411 bintval 100 erp 0x0
Jun 29 21:07:47 inchoate kernel: ipw0: notify scan done
Jun 29 21:07:47 inchoate kernel: ipw0: received probe_resp from 00:13:10:9b:52:d4 rssi 53
Jun 29 21:07:47 inchoate kernel: [00:13:10:9b:52:d4] new probe_resp on chan 6 (bss chan 6) "dons"
Jun 29 21:07:47 inchoate kernel: [00:13:10:9b:52:d4] caps 0x411 bintval 100 erp 0x0
Jun 29 21:07:49 inchoate sudo:   darius : TTY=ttyp4 ; PWD=/usr/src/tools/tools/ath ; USER=root ; COMMAND=./80211debug -debug -auth -scan

How-To-Repeat: Setup WRT54G for WPA mode, load ipw, load the firmware, run wpa_supplicant.
Comment 1 Ulrich Spoerlein 2006-04-28 15:11:21 UTC
Hi,

Damien has informed me, that ipw(4) simply doesn't support WPA and it
would require major work to support it.

This PR should be closed then.

One thing you might wanna try is the NDISulator. It stopped working for
me some time ago (simply doesn't attach), and I didn't track it down
yet. Perhaps you have more luck.

Bye,
Ulrich Spoerlein
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2006-04-28 15:34:32 UTC
State Changed
From-To: open->suspended

This is apparently a known problem which would require a substantial rewrite 
to solve.
Comment 3 Sam Leffler freebsd_committer 2006-09-01 23:23:18 UTC
State Changed
From-To: suspended->analyzed

wpa support is out for test; will close this when code is committed 


Comment 4 Sam Leffler freebsd_committer 2006-09-01 23:23:18 UTC
Responsible Changed
From-To: freebsd-bugs->sam

wpa support is out for test; will close this when code is committed
Comment 5 Sam Leffler freebsd_committer 2007-10-15 19:56:48 UTC
Responsible Changed
From-To: sam->thompsa

reassign to Andrew so he can close it as his latest overhaul of ipw 
should've addressed this bug
Comment 6 Eitan Adler freebsd_committer freebsd_triage 2018-05-28 19:43:28 UTC
batch change:

For bugs that match the following
-  Status Is In progress 
AND
- Untouched since 2018-01-01.
AND
- Affects Base System OR Documentation

DO:

Reset to open status.


Note:
I did a quick pass but if you are getting this email it might be worthwhile to double check to see if this bug ought to be closed.